导入gtk:给出错误消息[英] import gtk : gives error message

问题描述

我已经按照所示顺序安装了以下软件包

1)python2.5
2) Glib 2.12.12
3) atk-1.9.1
4) 开罗 1.4.6
5) pango 1.16.4
6) gtk+-2.10.0
7) pycairo 1.4.0
8) pygobject 2.13.1
9) pygtk-2.8.6

安装成功,但在导入 gtk 时显示以下错误

展开|选择|换行|行号
解决方案
I''见过很多这样的编译问题,缺少符号,但没有人回复过他们对此类错误的解决方案.我认为如果一个人会编译器并且有足够的耐心,那么这些类型的错误是可以被排除的.

感谢您提供如此详细的安装版本列表.也许这些信息将使某人能够为您提供帮助.

另外,如果您在本网站上找到解决方案之前提出了解决方案,您是否会通过回帖帮助我们帮助他人?

抱歉,我无法提供更多帮助.有几个 *nix Pythoneers 在这个论坛上签到,所以请多多指教.

通过 apt 源安装了所有东西,还是你自己编译了任何东西?

看到您使用的是 2007 年的 python 2.5,我不得不猜测您自己编译了它.

如果您尝试使用 python2.4 会发生什么?

我已经安装了 pygtk-2.10.4(不是帖子 1 中发布的 pygtk-2.8.6)

错误也与 2.4 相同
展开|选择span>|Wrap|行号

本文地址:https://www.itbaoku.cn/post/1050566.html